[PC-BSD Commits] r19040 - pcbsd/current/src-sh/libsh
svn at pcbsd.org
svn at pcbsd.org
Tue Sep 11 08:15:10 PDT 2012
Author: kris
Date: 2012-09-11 15:15:10 +0000 (Tue, 11 Sep 2012)
New Revision: 19040
Modified:
pcbsd/current/src-sh/libsh/functions.sh
Log:
Add exit_err() to libsh
Modified: pcbsd/current/src-sh/libsh/functions.sh
===================================================================
--- pcbsd/current/src-sh/libsh/functions.sh 2012-09-11 15:07:43 UTC (rev 19039)
+++ pcbsd/current/src-sh/libsh/functions.sh 2012-09-11 15:15:10 UTC (rev 19040)
@@ -80,3 +80,10 @@
expr $1 + 1 2>/dev/null
return $?
}
+
+# Exit with a error message
+exit_err() {
+ echo "ERROR: ${1}"
+ exit 1
+}
+
More information about the Commits
mailing list